CVE-2022-29903

The Private Domains extension for MediaWiki through 1.37.2 (before 1ad65d4c1c199b375ea80988d99ab51ae068f766) allows CSRF for editing pages that store the extension's configuration. The attacker must trigger a POST request to Special:PrivateDomains.
References
Link Resource
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/PrivateDomains/+/783416 Release Notes Vendor Advisory
https://phabricator.wikimedia.org/T306290 Exploit Issue Tracking Patch Vendor Advisory
Configurations

Configuration 1 (hide)

cpe:2.3:a:mediawiki:mediawiki:*:*:*:*:*:*:*:*

History

10 May 2022, 16:11

Type Values Removed Values Added
CVSS v2 : unknown
v3 : unknown
v2 : 4.3
v3 : 4.3
CWE CWE-352
CPE cpe:2.3:a:mediawiki:mediawiki:*:*:*:*:*:*:*:*
First Time Mediawiki
Mediawiki mediawiki
References (MISC) https://phabricator.wikimedia.org/T306290 - (MISC) https://phabricator.wikimedia.org/T306290 - Exploit, Issue Tracking, Patch, Vendor Advisory
References (MISC) https://gerrit.wikimedia.org/r/c/mediawiki/extensions/PrivateDomains/+/783416 - (MISC) https://gerrit.wikimedia.org/r/c/mediawiki/extensions/PrivateDomains/+/783416 - Release Notes, Vendor Advisory

29 Apr 2022, 04:15

Type Values Removed Values Added
New CVE

Information

Published : 2022-04-29 04:15

Updated : 2022-05-10 16:11


NVD link : CVE-2022-29903

Mitre link : CVE-2022-29903


JSON object : View

Products Affected

mediawiki

  • mediawiki
CWE
CWE-352

Cross-Site Request Forgery (CSRF)